CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
Context.h File Reference
`#include <SFML/Window/Export.h>`
`#include <SFML/Window/Types.h>`

Go to the source code of this file.

## Functions

CSFML_WINDOW_API sfContext * | sfContext_create (void)
| Create a new context. More...
CSFML_WINDOW_API void | sfContext_destroy (sfContext *context)
| Destroy a context. More...
CSFML_WINDOW_API void | sfContext_setActive (sfContext *context, sfBool active)
| Activate or deactivate explicitely a context. More...

## Function Documentation

CSFML_WINDOW_API sfContext* sfContext_create | ( | void |  | ) |

Create a new context.

This function activates the new context.

Returns
  New sfContext object

CSFML_WINDOW_API void sfContext_destroy | ( | sfContext * | context | ) |

Destroy a context.

Parameters

  context | Context to destroy

CSFML_WINDOW_API void sfContext_setActive | ( | sfContext * | context,
|  | sfBool | active
| ) |  |

Activate or deactivate explicitely a context.

Parameters

  context | Context object
  active | sfTrue to activate, sfFalse to deactivate